cascading.tuple.coerce

## Class BooleanObjectCoerce

- java.lang.Object
- - cascading.tuple.coerce.Coercions.Coerce<Boolean>
  - - cascading.tuple.coerce.BooleanObjectCoerce

All Implemented Interfaces:
  CoercibleType<Boolean>, Serializable, Type

    public class BooleanObjectCoerce
    extends Coercions.Coerce<Boolean>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `BooleanObjectCoerce(Map<Type,Coercions.Coerce> map)`

### Method Summary

Methods
`Boolean` `coerce(Object value)`
`Class<Boolean>` `getCanonicalType()`

### Methods inherited from class cascading.tuple.coerce.Coercions.Coerce

`canonical, coerce, equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BooleanObjectCoerce

    protected BooleanObjectCoerce(Map<Type,Coercions.Coerce> map)

### Method Detail

#### getCanonicalType

    public Class<Boolean> getCanonicalType()

Returns:
  the actual Java type this CoercibleType represents

#### coerce

    public Boolean coerce(Object value)

Specified by:
  `coerce` in class `Coercions.Coerce<Boolean>`